xoops forums

fdeconiac

Quite a regular
Posted on: 2013/10/12 10:26
fdeconiac
fdeconiac (Show more)
Quite a regular
Posts: 278
Since: 2008/11/29
#1

Fatal error ending the installation

Ending the installation, i get this error :

Fatal error: Call to undefined function get_called_class() in /home/.../www/xoops26/xoops_lib/Xoops/Module/Helper/Abstract.php on line 64

xoobaru

Just can't stay away
Posted on: 2013/10/12 12:12
xoobaru
xoobaru (Show more)
Just can't stay away
Posts: 494
Since: 2010/12/2
#2

Re: Fatal error ending the installation

Nothing about your environment?
What is your
XOOPS version
PHP version
MySQL version
Operating system
?

fdeconiac

Quite a regular
Posted on: 2013/10/12 12:24
fdeconiac
fdeconiac (Show more)
Quite a regular
Posts: 278
Since: 2008/11/29
#3

Re: Fatal error ending the installation

I was trying to install last xoops version 2.6 to check if it is opertional or not.
I'm running under php 5.4
MySQL version: 5.0.51a
Navigating with last version of firefox

Mamba

Moderator
Posted on: 2013/10/12 12:34
Mamba
Mamba (Show more)
Moderator
Posts: 10966
Since: 2004/4/23
#4

Re: Fatal error ending the installation

Did you get it from GitHub?
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

fdeconiac

Quite a regular
Posted on: 2013/10/12 20:16
fdeconiac
fdeconiac (Show more)
Quite a regular
Posts: 278
Since: 2008/11/29
#5

Re: Fatal error ending the installation

I do not remind, but i think it was the alpha 2 from this url :
http://sourceforge.net/projects/xoops ... es%29/XOOPS_2.6.0_Alpha2/

Mamba

Moderator
Posted on: 2013/10/12 21:32
Mamba
Mamba (Show more)
Moderator
Posts: 10966
Since: 2004/4/23
#6

Re: Fatal error ending the installation

Try the GitHub version. The XOOPS 2.6.0 is happening now on GitHub.

Just fork it from there, and check it out.
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

redheadedrod

Home away from home
Posted on: 2013/10/12 23:02
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#7

Re: Fatal error ending the installation

Also, with Alpha 3 (In progress) you will need composer loaded onto your computer because it will update some of your libraries.

This is a required thing because the libraries are not included with the code.

Make sure to download the latest version of the core from GitHub.

This version is being updated just about daily so make sure you have the latest version. As (Mostly) Richard and I (A little bit) and some others are updating the code on a nearly daily basis. If I wasn't in school I could help Richard more but it is getting there.

Rodney
Attending College working towards Bachelors in Software Engineering and Network Security.

redheadedrod

Home away from home
Posted on: 2013/10/13 0:21
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#8

Re: Fatal error ending the installation

Also, the current GitHub version is not installing at this time. I suspect the newer version of Doctrine might have bugs but since Richard is currently working on getting the installer Doctrine compatible I will let him look at it.

It times out on step 7 on my machine but when you hit the browser back and then the next on the bottom of the page it will go through.

After step 10 it bombs out with an "Init error" at the top of the screen and the installation is not working. I already sent Richard an email to check it out.

Running with:
PHP 5.4.16
MySQL 5.5.32

Rodney
Attending College working towards Bachelors in Software Engineering and Network Security.

redheadedrod

Home away from home
Posted on: 2013/10/15 18:55
redheadedrod
redheadedrod (Show more)
Home away from home
Posts: 1296
Since: 2008/2/26
#9

Re: Fatal error ending the installation

Richard fixed the installer. It is now installing for me at least but you need the latest from GitHub.
Attending College working towards Bachelors in Software Engineering and Network Security.